//取得する地域のidを取得
document.getElementById("click").onclick = function(){
    var index = document.getElementById("weather_id").value;
    console.log(index);
    //jsonデータを取得
    let url = "https://www.jma.go.jp/bosai/forecast/data/forecast/" + index + ".json";
    console.log(url);
    fetch(url)
    .then(function(response) {
        return response.json();
    })
    .then(function(weather) {
        console.log(weather);
        // 特定の地域(今回は東京)だけ選択して変数に詰め直す
        let area = weather[0].timeSeries[0].areas[0];
        console.log(area); 
        var today = area.weathers[0];
        var tomorrow = area.weathers[1];
        var dayAfterTomorrow = area.weathers[2];
        // 発表者と報告日時の情報を画面に書き出す
        document.getElementById("publishingOffice").lastElementChild.textContent = weather[0].publishingOffice;
        document.getElementById("reportDatetime").lastElementChild.textContent = weather[0].reportDatetime;
        // 特定地域の情報を画面に書き出す
        //.replace("田中", "小林");
        document.getElementById("targetArea").lastElementChild.textContent = area.area.name;
        document.getElementById("today").lastElementChild.textContent = today.replace("　"||" ",",");
        document.getElementById("tomorrow").lastElementChild.textContent = tomorrow.replace("　"||" ",",");
        document.getElementById("dayAfterTomorrow").lastElementChild.textContent = dayAfterTomorrow.replace("　"||" ",",");
    });

}

